LettermintLettermint
  • Knowledge base
  • Community
  • Changelog
  • Support
  • Documentation
  • Sending API
  • Team API
Information
Generic
    Ping the APIget
Team
    Get team detailsgetUpdate team settingsputGet team usage statisticsgetGet team membersget
Domain
    List all domains for the teamgetCreate a new domainpostGet domain detailsgetDelete a domaindeleteVerify all DNS records for a domainpostVerify a specific DNS recordpostUpdate projects associated with a domainput
Project
    List all projects for the teamgetCreate a new projectpostGet project detailsgetUpdate project settingsputDelete a projectdeleteRotate project API tokenpostUpdate project membersputAdd a member to the projectpostRemove a member from the projectdeleteList routes for a projectgetCreate a new routepostGet route detailsgetUpdate route settingsputDelete a routedeleteVerify inbound domain for a routepost
Webhook
    List all webhooks for the teamgetCreate a new webhookpostGet webhook detailsgetUpdate webhook settingsputDelete a webhookdeleteTest a webhook by sending a sample payloadpostRegenerate webhook secretpostGet webhook deliveriesgetGet a specific webhook deliveryget
Message
    List messages for the teamgetGet message detailsgetGet message eventsgetGet message sourcegetGet message HTML contentgetGet message plain text contentget
Suppression
    List all suppressions for the teamgetAdd email(s) to suppression listpostRemove email from suppression listdelete
Stats
    Get message statisticsget
Schemas
Lettermint Team API
Lettermint Team API

Project


List all projects for the team

GET
https://api.lettermint.co/v1
/projects

List all projects for the team › query Parameters

sort
​string

Available sorts are name, created_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -name.

Default: -created_at
page[size]
​integer

The number of results that will be returned per page.

Default: 30
page[cursor]
​string

The cursor to start the pagination from.

filter[search]
​string

List all projects for the team › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

List all projects for the team › Responses

200

Paginated set of ProjectListData

​ProjectListData[] · required
path
​string | null · required

Base path for paginator generated URLs.

per_page
​integer · min: 0 · required

Number of items shown per page.

next_cursor
​string | null · required

The "cursor" that points to the next set of items.

next_page_url
​string | null · uri · required
prev_cursor
​string | null · required

The "cursor" that points to the previous set of items.

prev_page_url
​string | null · uri · required
GET/projects
curl --request GET \ --url https://api.lettermint.co/v1/projects \ --header 'Authorization: <string>'
Example Responses
{ "data": [ { "id": "id", "name": "name", "smtp_enabled": true, "routes_count": 0, "domains_count": 0, "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" } ], "path": "path", "per_page": 0, "next_cursor": "next_cursor", "next_page_url": "https://www.example.com/path/to/resource", "prev_cursor": "prev_cursor", "prev_page_url": "https://www.example.com/path/to/resource" }
json
application/json

Create a new project

POST
https://api.lettermint.co/v1
/projects

Create a new project › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Create a new project › Request Body

StoreProjectData
name
​string · maxLength: 255 · required
smtp_enabled
​boolean
Default: false
initial_routes
​InitialRoutes · enum
Enum values:
both
transactional
broadcast
Default: both

Create a new project › Responses

​ProjectData · required
message
​string · const · required
Const value: Project created successfully.
api_token
​string · required
POST/projects
curl --request POST \ --url https://api.lettermint.co/v1/projects \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "smtp_enabled": false, "initial_routes": "both" } '
Example Request Body
{ "name": "name", "smtp_enabled": false, "initial_routes": "both" }
json
Example Responses
{ "data": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "message": "Project created successfully.", "api_token": "api_token" }
json
application/json

Get project details

GET
https://api.lettermint.co/v1
/projects/{projectId}

Get project details › path Parameters

projectId
​string · required

Get project details › query Parameters

include
​string

Available includes are routes, routesCount, routesExists, domains, domainsCount, domainsExists, teamMembers, teamMembersCount, teamMembersExists, messageStats, messageStatsCount, messageStatsExists. You can include multiple options by separating them with a comma.

Get project details › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Get project details › Responses

200

ProjectData

ProjectData
id
​string · required
name
​string · required
smtp_enabled
​boolean · required
default_route_id
​string | null · required
token_generated_at
​string | null · date-time · required
token_last_used_at
​string | null · date-time · required
token_last_used_ip
​string | null · required
created_at
​string · required
updated_at
​string · required
​RouteData[]
routes_count
​integer
​DomainData[]
domains_count
​integer
​TeamMemberData[]
team_members_count
​integer
​
GET/projects/{projectId}
curl --request GET \ --url https://api.lettermint.co/v1/projects/:projectId \ --header 'Authorization: <string>'
Example Responses
{ "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }
json
application/json

Update project settings

PUT
https://api.lettermint.co/v1
/projects/{projectId}

Update project settings › path Parameters

projectId
​string · required

Update project settings › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Update project settings › Request Body

UpdateProjectData
name
​string | null · maxLength: 255
smtp_enabled
​boolean | null
default_route_id
​string | null · uuid

Update project settings › Responses

​ProjectData · required
message
​string · const · required
Const value: Project updated successfully.
PUT/projects/{projectId}
curl --request PUT \ --url https://api.lettermint.co/v1/projects/:projectId \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "smtp_enabled": true, "default_route_id": "00000000-0000-0000-0000-000000000000" } '
Example Request Body
{ "name": "name", "smtp_enabled": true, "default_route_id": "00000000-0000-0000-0000-000000000000" }
json
Example Responses
{ "data": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "message": "Project updated successfully." }
json
application/json

Delete a project

DELETE
https://api.lettermint.co/v1
/projects/{projectId}

Delete a project › path Parameters

projectId
​string · required

Delete a project › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Delete a project › Responses

200
message
​string · const · required
Const value: Project deleted successfully.
DELETE/projects/{projectId}
curl --request DELETE \ --url https://api.lettermint.co/v1/projects/:projectId \ --header 'Authorization: <string>'
Example Responses
{ "message": "Project deleted successfully." }
json
application/json

Rotate project API token

POST
https://api.lettermint.co/v1
/projects/{projectId}/rotate-token

Rotate project API token › path Parameters

projectId
​string · required

Rotate project API token › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Rotate project API token › Responses

200
​ProjectData · required
new_token
​string · required
message
​string · const · required
Const value: API token rotated successfully. Please update your integrations.
POST/projects/{projectId}/rotate-token
curl --request POST \ --url https://api.lettermint.co/v1/projects/:projectId/rotate-token \ --header 'Authorization: <string>'
Example Responses
{ "data": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "new_token": "new_token", "message": "API token rotated successfully. Please update your integrations." }
json
application/json

Update project members

PUT
https://api.lettermint.co/v1
/projects/{projectId}/members

Update project members › path Parameters

projectId
​string · required

Update project members › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Update project members › Request Body

UpdateProjectMembersData
team_member_ids
​string[] · minItems: 1 · required

Update project members › Responses

​ProjectData · required
message
​string · const · required
Const value: Project members updated successfully.
PUT/projects/{projectId}/members
curl --request PUT \ --url https://api.lettermint.co/v1/projects/:projectId/members \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "team_member_ids": [ "00000000-0000-0000-0000-000000000000" ] } '
Example Request Body
{ "team_member_ids": [ "00000000-0000-0000-0000-000000000000" ] }
json
Example Responses
{ "data": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "message": "Project members updated successfully." }
json
application/json

Add a member to the project

POST
https://api.lettermint.co/v1
/projects/{projectId}/members/{teamMemberId}

Add a member to the project › path Parameters

projectId
​string · required
teamMemberId
​string · required

Add a member to the project › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Add a member to the project › Responses

200
message
​string · const · required
Const value: Team member added to project successfully.
POST/projects/{projectId}/members/{teamMemberId}
curl --request POST \ --url https://api.lettermint.co/v1/projects/:projectId/members/:teamMemberId \ --header 'Authorization: <string>'
Example Responses
{ "message": "Team member added to project successfully." }
json
application/json

Remove a member from the project

DELETE
https://api.lettermint.co/v1
/projects/{projectId}/members/{teamMemberId}

Remove a member from the project › path Parameters

projectId
​string · required
teamMemberId
​string · required

Remove a member from the project › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Remove a member from the project › Responses

200
message
​string · const · required
Const value: Team member removed from project successfully.
DELETE/projects/{projectId}/members/{teamMemberId}
curl --request DELETE \ --url https://api.lettermint.co/v1/projects/:projectId/members/:teamMemberId \ --header 'Authorization: <string>'
Example Responses
{ "message": "Team member removed from project successfully." }
json
application/json

List routes for a project

GET
https://api.lettermint.co/v1
/projects/{projectId}/routes

List routes for a project › path Parameters

projectId
​string · required

List routes for a project › query Parameters

sort
​string

Available sorts are name, slug, created_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -name.

Default: -created_at
page[size]
​integer

The number of results that will be returned per page.

Default: 30
page[cursor]
​string

The cursor to start the pagination from.

filter[route_type]
​RouteType · enum
Enum values:
transactional
broadcast
inbound
filter[is_default]
​boolean
filter[search]
​string

Search by name or slug

List routes for a project › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

List routes for a project › Responses

200

Paginated set of RouteListData

​RouteListData[] · required
path
​string | null · required

Base path for paginator generated URLs.

per_page
​integer · min: 0 · required

Number of items shown per page.

next_cursor
​string | null · required

The "cursor" that points to the next set of items.

next_page_url
​string | null · uri · required
prev_cursor
​string | null · required

The "cursor" that points to the previous set of items.

prev_page_url
​string | null · uri · required
GET/projects/{projectId}/routes
curl --request GET \ --url https://api.lettermint.co/v1/projects/:projectId/routes \ --header 'Authorization: <string>'
Example Responses
{ "data": [ { "id": "id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "webhooks_count": 0, "suppressed_recipients_count": 0, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" } ], "path": "path", "per_page": 0, "next_cursor": "next_cursor", "next_page_url": "https://www.example.com/path/to/resource", "prev_cursor": "prev_cursor", "prev_page_url": "https://www.example.com/path/to/resource" }
json
application/json

Create a new route

POST
https://api.lettermint.co/v1
/projects/{projectId}/routes

Create a new route › path Parameters

projectId
​string · required

Create a new route › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Create a new route › Request Body

StoreRouteData
name
​string · maxLength: 255 · required
route_type
​RouteType · enum · required
Enum values:
transactional
broadcast
inbound
slug
​string | null · maxLength: 255

Create a new route › Responses

​RouteData · required
message
​string · const · required
Const value: Route created successfully.
POST/projects/{projectId}/routes
curl --request POST \ --url https://api.lettermint.co/v1/projects/:projectId/routes \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "route_type": "transactional", "slug": "slug" } '
Example Request Body
{ "name": "name", "route_type": "transactional", "slug": "slug" }
json
Example Responses
{ "data": { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "project": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ null ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" }, "message": "Route created successfully." }
json
application/json

Get route details

GET
https://api.lettermint.co/v1
/routes/{routeId}

Get route details › path Parameters

routeId
​string · required

Get route details › query Parameters

include
​string

Available includes are project, projectCount, projectExists, statistics. You can include multiple options by separating them with a comma.

include_machine
​boolean
Default: false

Get route details › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Get route details › Responses

200

RouteData

RouteData
id
​string · required
project_id
​string · required
slug
​string · required
name
​string · required
route_type
​RouteType · enum · required
Enum values:
transactional
broadcast
inbound
is_default
​boolean · required
created_at
​string · date-time · required
updated_at
​string · date-time · required
inbound_address
​string
inbound_domain
​string
inbound_domain_verified_at
​string · date-time
inbound_spam_threshold
​number
attachment_delivery
​AttachmentDelivery · enum
Enum values:
inline
url
​ProjectData
webhooks_count
​integer
suppressed_recipients_count
​integer
​
GET/routes/{routeId}
curl --request GET \ --url https://api.lettermint.co/v1/routes/:routeId \ --header 'Authorization: <string>'
Example Responses
{ "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "project": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ null ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" }
json
application/json

Update route settings

PUT
https://api.lettermint.co/v1
/routes/{routeId}

Update route settings › path Parameters

routeId
​string · required

Update route settings › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Update route settings › Request Body

UpdateRouteData
name
​string | null · maxLength: 255
​object
​object

Update route settings › Responses

​RouteData · required
message
​string · const · required
Const value: Route updated successfully.
PUT/routes/{routeId}
curl --request PUT \ --url https://api.lettermint.co/v1/routes/:routeId \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "settings": { "track_opens": true, "track_clicks": true, "disable_hosted_unsubscribe": true }, "inbound_settings": { "inbound_domain": "inbound_domain", "inbound_spam_threshold": 0, "attachment_delivery": "inline" } } '
Example Request Body
{ "name": "name", "settings": { "track_opens": true, "track_clicks": true, "disable_hosted_unsubscribe": true }, "inbound_settings": { "inbound_domain": "inbound_domain", "inbound_spam_threshold": 0, "attachment_delivery": "inline" } }
json
Example Responses
{ "data": { "id": "id", "project_id": "project_id", "slug": "slug", "name": "name", "route_type": "transactional", "is_default": true, "inbound_address": "inbound_address", "inbound_domain": "inbound_domain", "inbound_domain_verified_at": "2024-08-25T15:00:00Z", "inbound_spam_threshold": 0, "attachment_delivery": "inline", "project": { "id": "id", "name": "name", "smtp_enabled": true, "default_route_id": "default_route_id", "token_generated_at": "2024-08-25T15:00:00Z", "token_last_used_at": "2024-08-25T15:00:00Z", "token_last_used_ip": "token_last_used_ip", "routes": [ null ], "routes_count": 0, "domains": [ { "id": "id", "domain": "domain", "status_changed_at": "2024-08-25T15:00:00Z", "dns_records": [ { "id": "id", "type": "TXT", "hostname": "hostname", "fqdn": "fqdn", "content": "content", "status": "active", "verified_at": "verified_at", "last_checked_at": "2024-08-25T15:00:00Z" } ], "projects": [ { "id": "id", "name": "name" } ], "created_at": "2024-08-25T15:00:00Z" } ], "domains_count": 0, "team_members": [ { "id": "id", "user": { "id": "id", "name": "name", "email": "email", "avatar": "avatar" }, "role": "role", "joined_at": "2024-08-25T15:00:00Z" } ], "team_members_count": 0, "last_28_days": { "messages_transactional": 0, "messages_broadcast": 0, "messages_inbound": 0, "deliverability": 0 }, "created_at": "created_at", "updated_at": "updated_at" }, "webhooks_count": 0, "suppressed_recipients_count": 0, "statistics": {}, "created_at": "2024-08-25T15:00:00Z", "updated_at": "2024-08-25T15:00:00Z" }, "message": "Route updated successfully." }
json
application/json

Delete a route

DELETE
https://api.lettermint.co/v1
/routes/{routeId}

Delete a route › path Parameters

routeId
​string · required

Delete a route › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Delete a route › Responses

200
message
​string · const · required
Const value: Route deleted successfully.
DELETE/routes/{routeId}
curl --request DELETE \ --url https://api.lettermint.co/v1/routes/:routeId \ --header 'Authorization: <string>'
Example Responses
{ "message": "Route deleted successfully." }
json
application/json

Verify inbound domain for a route

POST
https://api.lettermint.co/v1
/routes/{routeId}/verify-inbound-domain

Verify inbound domain for a route › path Parameters

routeId
​string · required

Verify inbound domain for a route › Headers

Authorization
​string · required

Bearer token. Format: Bearer {team_token}

Verify inbound domain for a route › Responses

​object · required
POST/routes/{routeId}/verify-inbound-domain
curl --request POST \ --url https://api.lettermint.co/v1/routes/:routeId/verify-inbound-domain \ --header 'Authorization: <string>'
Example Responses
{ "data": { "verified": true, "message": "Inbound domain verified successfully." } }
json
application/json

DomainWebhook